Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.openxml4j.opc.internal.unmarshallers
Class PackagePropertiesUnmarshaller

    java.lang.Object
      org.apache.poi.openxml4j.opc.internal.unmarshallers.PackagePropertiesUnmarshaller

All Implemented Interfaces:
  PartUnmarshaller

    public final class PackagePropertiesUnmarshaller

extends java.lang.Object
implements PartUnmarshaller

Package properties unmarshaller.

Author:
  Julien Chable

Constructor Summary
`PackagePropertiesUnmarshaller()`

Method Summary
`void` | `checkElementForOPCCompliance(org.dom4j.Element el)` Check the element for the following OPC compliance rules:
`PackagePart` | `unmarshall(UnmarshallContext context, java.io.InputStream in)` Save the content of the package in the stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackagePropertiesUnmarshaller

    public PackagePropertiesUnmarshaller()

Method Detail

### unmarshall

    public PackagePart unmarshall(UnmarshallContext context,
                                  java.io.InputStream in)
                           throws InvalidFormatException,
                                  java.io.IOException

  Description copied from interface: `PartUnmarshaller`
  Save the content of the package in the stream

  Specified by:
    `unmarshall` in interface `PartUnmarshaller`
    `in` - The input stream from which the part will be unmarshall.
  Returns:
    The part freshly unmarshall from the input stream.
  Throws:
    `InvalidFormatException`
    `java.io.IOException`

### checkElementForOPCCompliance

    public void checkElementForOPCCompliance(org.dom4j.Element el)
                                      throws InvalidFormatException

  Check the element for the following OPC compliance rules:

  Rule M4.2: A format consumer shall consider the use of the Markup Compatibility namespace to be an error.

  Rule M4.3: Producers shall not create a document element that contains refinements to the Dublin Core elements, except for the two specified in the schema: and Consumers shall consider a document element that violates this constraint to be an error.

  Rule M4.4: Producers shall not create a document element that contains the xml:lang attribute. Consumers shall consider a document element that violates this constraint to be an error.

  Rule M4.5: Producers shall not create a document element that contains the xsi:type attribute, except for a or element where the xsi:type attribute shall be present and shall hold the value dcterms:W3CDTF, where dcterms is the namespace prefix of the Dublin Core namespace. Consumers shall consider a document element that violates this constraint to be an error.

  Throws:
    `InvalidFormatException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD